Skip to main content
`Ctrl`+`K`

# EPSKrylovSchurGetSubcommMats

Gets the eigenproblem matrices stored internally in the subcommunicator to which the calling process belongs.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurGetSubcommMats(EPS eps,Mat *A,Mat *B)

Collective on the subcommunicator

## Input Parameter

- eps - the linear eigensolver context

## Output Parameters

- A - the matrix associated with the eigensystem

- B - the second matrix in the case of generalized eigenproblems

## Notes

This function is only available for spectrum slicing runs, that is, when an interval has been given with `EPSSetInterval()` and `STSINVERT` is set. And is relevant only when the number of partitions (`EPSKrylovSchurSetPartitions()`) is larger than one. See more details in section Spectrum Slicing.

This is the analog of `EPSGetOperators()`, but returns the matrices distributed differently (in the subcommunicator rather than in the parent communicator).

These matrices should not be modified by the user.

## See Also

EPS: Eigenvalue Problem Solver, Spectrum Slicing, `EPSKRYLOVSCHUR`, `EPSSetInterval()`, `EPSKrylovSchurSetPartitions()`, `EPSKrylovSchurGetSubcommInfo()`

## Level

advanced

## Location

src/eps/impls/krylov/krylovschur/krylovschur.c

## Implementations

EPSKrylovSchurGetSubcommMats_KrylovSchur() in src/eps/impls/krylov/krylovschur/krylovschur.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages